MEMPCPY(3)

NAME
mempcpy - copy memory regions and return end pointer

SYNOPSIS

#include <string.h>

void* mempcpy(void *out, const void *in, size_t n);

DESCRIPTION

This function copies n bytes from the memory region pointed to by in to the memory region pointed to by out.

If the regions overlap, the behavior is undefined.

RETURNS

mempcpy returns a pointer to the byte following the last byte copied to the out region.

PORTABILITY

mempcpy is a GNU extension.

mempcpy requires no supporting OS subroutines.